#ifndef ALAKZATOS_H_INCLUDED
#define ALAKZATOS_H_INCLUDED

#include "rajzolas.hpp"
#include "point.hpp"

class AlakzatOs {
protected:
    Point p0;                   ///< alakzat origója
    Color sz;                   ///< alakzat színe
public:
    AlakzatOs(const Point& p0, const Color& sz) :p0(p0), sz(sz) {}
    void mozgat(const Point& vec) { p0 = p0 + vec; }
    virtual void rajzol() = 0;
    virtual AlakzatOs * masol() const = 0;
    virtual ~AlakzatOs() {}
};


#endif // ALAKZAT_H_INCLUDED
