#ifndef TEGLALAP_HPP_INCLUDED
#define TEGLALAP_HPP_INCLUDED

#include "alakzat.hpp"

class Teglalap : public AlakzatOs {
    Point p1;
public:
    Teglalap(const Point& p0, const Point& p1, Color sz)
        : AlakzatOs(p0, sz), p1(p1 - p0)
    {}

    Point getp1() const { return p1; }

    void rajzol() {
        teglalap_rajzol(p0, p0 + p1, sz);
    }
    
    virtual AlakzatOs * masol() const {
        return new Teglalap(*this);
    }
};

#endif // TEGLALAP_H
