#ifndef KOR_HPP_INCLUDED
#define KOR_HPP_INCLUDED

#include "alakzat.hpp"
#include "rajzolas.hpp"

class Kor : public AlakzatOs {
    int r;
public:
    Kor(const Point& p0, int r, Color sz)
        : AlakzatOs(p0, sz), r(r)
    {}
    int getr() const { return r; }
    void rajzol() {
        kor_rajzol(this->p0, r*2, sz);
    }
    
    virtual AlakzatOs * masol() const {
        return new Kor(*this);
    }
};

#endif // KOR_H
