#include <iostream>
#include "rajzolas.hpp"
#include "kor.hpp"
#include "szakasz.hpp"
#include "teglalap.hpp"
#include "poligon.hpp"
#include "rajztabla.hpp"

static const Color BLACK(0, 0, 0);
static const Color WHITE(255, 255, 255);
static const Color RED(255, 0, 0);
static const Color GREEN(0, 255, 0);
static const Color BLUE(0, 0, 255);

int main(int argc, char * argv[]) {

    sdl_init("Gyak09", Point(600, 600));

    Rajztabla tabla;
    tabla.felrak(new Szakasz(Point(20,40), Point(100, 0), WHITE));
    tabla.felrak(new Kor(Point(120,140), 10, BLUE));
    tabla.felrak(new Teglalap(Point(20,40), Point(60, 100), GREEN));
    tabla.felrak(new Poligon(WHITE, {Point(120,140), Point(120,200), Point(250,200)}));
    tabla.felrak(new Kor(Point(10,20), 5, RED));
    tabla.rajzol();
    
    Rajztabla tabl2 = tabla;
   
    for (int i = 0; i < 100; ++i) {
        tabla.mozgat(Point(1, 1));

        sdl_torol();
        tabla.rajzol();
        sdl_rajzol();
        sdl_var(10);
    }
    
    sdl_vege();

    return 0;
}
