#ifndef POINT_HPP_INCLUDED
#define POINT_HPP_INCLUDED

#include <iostream>

struct Point {
    int x;
    int y;
    Point() : x(0), y(0) {}
    Point(int x, int y) :
        x(x),
        y(y) {
    }
};

inline Point operator+(Point const& a, Point const& b) {
    return Point(a.x + b.x, a.y + b.y);
}

inline Point operator-(Point const& a, Point const& b) {
    return Point(a.x - b.x, a.y - b.y);
}

#endif
