#ifndef RAJZTABLA_HPP_INCLUDED
#define RAJZTABLA_HPP_INCLUDED

#include <vector>
#include "alakzat.hpp"

class Rajztabla {
    std::vector<Alakzat> tabla;
public:
    void felrak(AlakzatOs *ap) {      // kötelezően dinamikusan foglalt
        tabla.push_back( Alakzat(ap) );
    }
    void rajzol() {
        for (Alakzat & a : tabla)
            a->rajzol();
    }
    void mozgat(Point d) {
        for (Alakzat & a : tabla)
            a->mozgat(d);
    }
};

#endif // RAJZTABLA_HPP
