#ifndef SZAKASZ_HPP_INCLUDED
#define SZAKASZ_HPP_INCLUDED

#include "alakzat.hpp"

class Szakasz : public AlakzatOs {
    Point pv;
public:
    Szakasz(const Point& p0, const Point& pv, Color sz)
        : AlakzatOs(p0, sz), pv(pv - p0)
    { }

    Point getpv() const { return pv; }
    void rajzol() {
        szakasz_rajzol(p0, p0 + pv, 1, sz);
    }
    
    virtual AlakzatOs * masol() const {
        return new Szakasz(*this);
    }
};

#endif // SZAKASZ_H
